#!/usr/bin/bash

VERS=20181006
set -e

if [ ! -d "$HOME/.alephone/gamefiles/Marathon 2" ] || [ ! -f "$HOME/.alephone/gamefiles/Marathon 2/data.$VERS" ]; then
    /usr/share/autodl/AutoDL.py /usr/share/AlephOne/marathon2.autodlrc
    RET=$?
    # 0: download OK, user wants to start game
    # 2: download OK, user does not want to start game
    if [ "$RET" = "0" -o "$RET" = "2" ]; then
	cd $HOME/.alephone/gamefiles/
	unzip -o -u Marathon2-$VERS-Data.zip
	rm -rf Marathon2-$VERS-Data.zip
	touch "Marathon 2/data.$VERS"
    fi
    if [ "$RET" != "0" ]; then
	exit $RET
    fi
fi
exec /usr/bin/alephone "$HOME/.alephone/gamefiles/Marathon 2"
